// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"
import naga "gitlab.com/golang31/commons//naga"

// VariableTypeResolver is an autogenerated mock type for the VariableTypeResolver type
type VariableTypeResolver struct {
	mock.Mock
}

// ResolveType provides a mock function with given fields: _a0
func (_m *VariableTypeResolver) ResolveType(_a0 interface{}) (naga.VariableType, error) {
	ret := _m.Called(_a0)

	var r0 naga.VariableType
	if rf, ok := ret.Get(0).(func(interface{}) naga.VariableType); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Get(0).(naga.VariableType)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(interface{}) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
